/* Resetting default margin and padding */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    font-family: 'Roboto', sans-serif;
    background: linear-gradient(135deg, #6dd5ed, #2193b0);
    color: #fff;
    overflow: hidden;
}

h1 {
    margin-bottom: 30px;
    font-size: 3rem;
    text-align: center;
    animation: fadeIn 1.5s ease;
}

.button-container {
    display: flex;
    gap: 30px;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
}

button {
    padding: 15px 40px;
    font-size: 20px;
    border: none;
    border-radius: 50px;
    cursor: pointer;
    background: #fff;
    color: #007bff;
    font-weight: bold;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease;
    position: relative;
    overflow: hidden;
}

button::before {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 123, 255, 0.2);
    z-index: 0;
    transition: 0.3s ease-in-out;
}

button:hover::before {
    left: 0;
}

button:hover {
    background-color: #007bff;
    color: #fff;
}

button span {
    position: relative;
    z-index: 1;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(-30px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.background-circles {
    position: absolute;
    top: -150px;
    left: -150px;
    width: 400px;
    height: 400px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 50%;
    animation: circleAnimation 20s infinite ease-in-out;
}

.background-circles:nth-child(2) {
    top: auto;
    bottom: -150px;
    right: -150px;
    animation-delay: 10s;
}

@keyframes circleAnimation {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2);
    }
}